| Home | Libraries | People | FAQ | More

##### file_posix::read

Read from the open file.

###### Synopsis

    std::size_t
    read(
        void* buffer,
        std::size_t n,
        error_code& ec) const;

###### Description

###### Parameters

Name | Description
--- | ---
`buffer` | The buffer for storing the result of the read
`n` | The number of bytes to read
`ec` | Set to the error, if any occurred